Skip to main content
GET
/
novelai
/
fetch
cURL
curl --request GET \
  --url https://api.ttapi.io/novelai/fetch \
  --header 'TT-API-KEY: <api-key>'
{
  "data": {
    "finishTime": "2026-02-12 09:09:11",
    "hookUrl": null,
    "imageUrl": [
      "https://cdn.ttapi.io/xxx1.png",
      "https://cdn.ttapi.io/xxx2.png"
    ],
    "prompt": "1 young woman, professional talent service specialist, warm dark brown eyes, sleek black hair styled in a neat shoulder-length straight bob with soft side-swept bangs, wearing a tailored light blue blazer over a crisp white silk blouse, navy blue slim-fit dress pants, a small delicate silver wristwatch on the left wrist, a professional ID badge clipped to the lapel, black leather low-heeled pumps, gentle and approachable smile, friendly and professional appearance,solo,face front,full body,standing,full shot, white background, simple background, simple shadow,masterpiece, best quality,very aesthetic",
    "quota": "4.00"
  },
  "jobId": "3b178ca1-78ee-41c1-94d7-3464b27a2439",
  "message": "success",
  "status": "SUCCESS"
}

Authorizations

TT-API-KEY
string
header
required

You can obtain your API key from the TTAPI Dashboard.

Query Parameters

jobId
string
required

Job ID of the generated task

Response

Request successful

status
enum<string>
required
Available options:
PENDING_QUEUE,
ON_QUEUE,
SUCCESS,
FAILED
message
string
required

Response message

jobId
string

Task ID

data
object

Task result

Last modified on March 13, 2026